Server 2008 R2 Server Core の.NET 3.0 と .NET 3.5


こんにちはAaronです。

先のServer 2008 R2 の.NET Framework 2.0のポストみたいに.NET Framework 3.0 と 3.5は制限があります。Andrew MasonのServer Coreブログにも書かれています。

含まれているものは

  • Windows Communication Framework (WCF)
  • Windows Workflow Framework (WF)
  • LINQ

含まれてないものは

  • Windows Presentation Foundation (WPF)

のみです。

インストールも簡単です。

  • start /w ocsetup NetFx3-ServerCore

32bit版が必要な場合、WOW64のインストールを先にやらなければいけません。

  • start /w ocsetup ServerCore-WOW64
  • start /w ocsetup NetFx3-ServerCore-WOW64

AndrewのOriginalはここにあります。

http://blogs.technet.com/server_core/archive/2008/12/19/net-3-0-and-3-5-in-windows-server-2008-r2-server-core.aspx

Skip to main content